<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:background="#ffffff"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    >

    <FrameLayout
        android:id="@+id/previewZone"
        android:layout_weight="1.0"
        android:layout_width="match_parent"
        android:layout_height="0dp">

        <ImageView
            android:id="@+id/previewView"
            android:layout_gravity="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

    </FrameLayout>

    <include layout="@layout/line" />

    <TextView
        android:text="识别结果"
        android:textSize="16sp" android:textColor="#FFFF7F27" android:textStyle="bold"
        android:padding="3dp" android:gravity="center"
        android:layout_width="match_parent" android:layout_height="wrap_content" />

    <ScrollView
        android:layout_weight="1.0"
        android:layout_width="match_parent" android:layout_height="0dp">

        <TextView
            android:id="@+id/ocrResult"
            android:singleLine="false"
            android:textSize="16sp" android:lineSpacingExtra="3px"
            android:textColor="#000000"
            android:layout_width="match_parent" android:layout_height="match_parent" />
    </ScrollView>
    <TextView
        android:id="@+id/OK"
        android:text="确定"
        android:textSize="25sp" android:textColor="#ffffff"
        android:background="@color/blue" android:layout_gravity="center"
        android:padding="6dp" android:layout_margin="6dp"
        android:layout_width="wrap_content" android:layout_height="wrap_content" />
</LinearLayout>